# Extension NVDA pour Firefox et Waterfox.
 
 Version actuelle : 2.4, du 27.03.2023.

Cette extension compile l'ancienne extension Firefox 1.2, et la partie "Firefox" de l'extension "Mozilla" version 1.18, de Javi Dominguez.

Elle apporte des commandes pour faciliter l'utilisation de Firefox et de Waterfox, et une meilleure vocalisation dans l'utilisation des onglets (en particulier indication du rang et du total, par exemple 2 sur 4).

Elle est utilisable avec NVDA version 2019.1 et suivantes, Firefox version 68 et suivantes, Waterfox version 2020.10 et suivantes, Windows 7 à 11.


## Les commandes apportées par l'extension.
* NVDA+Maj+A (desktop) ou NVDA+Control+A (laptop) : lire l’adresse de la page. Une double frappe copie l'adresse et le titre dans le presse-papiers. Une triple frappe copie seulement l'adresse dans le presse papier. Remarque. Cette commande existe sous une forme voisine dans l'extension "Extension des commandes de base de NVDA", avec des raccourcis différents : NVDA+A (desktop) ou NVDA+Maj+A (laptop).
* NVDA+Fin (desktop) ou NVDA+Majuscule+Fin (laptop) : lire la barre d’état. Une double frappe la copie dans le presse-papiers.
* Ctrl+Maj+page suivante / précédente : vocalisation de cette commande de Mozilla.
* NVDA+Control+N (seulement Firefox): lire la dernière notification et y amener le focus si possible. Une double frappe fait afficher l’historique des notifications.
* Ctrl+Maj+L : copier le lien sélectionné dans le presse-papier.  
* F6 : se déplacer entre la barre d'adresses et le contenu du document.
* Ctrl+F6 : déplacer le focus dans le contenu du document.
* NVDA+F6 : afficher la liste des boutons dans la barre de navigation et dans la barre personnelle, dans une boite de dialogue.
* NVDA+Ctrl+F6 (seulement Firefox): afficher le menu contextuel du bouton "Bibliothèque".
* Ctrl+F8 : sélectionner l'onglet actif dans la barre des onglets. 
* NVDA+F8 : afficher une liste des onglets ouverts dans une boite de dialogue. 

## Historique des versions.
* Version 2.4 : améliorations concernant la lecture de la barre d'adresses et du lien sélectionné; mise en conformité avec Firefox 111 et NVDA 2023.1
* Version 2.3 : mise en conformité avec Firefox 99 et NVDA 2022.1
* Version 2.2 : mise en conformité avec Firefox 89 et NVDA 2021.1
* Version 2.1 : nouvelle commande, réorganisation des commandes, améliorations diverses.
* Version 2.0 : première version de l'extension sous cette forme.

**Indications**.

* Waterfox est une version dérivée de Firefox, écrite directement en 64 bits, donc censée être plus rapide. Elle présente également l'avantage d'accepter des extensions qui ne sont plus utilisables sur les versions actuelles de Firefox, telles que FireFTP.
* Avec Firefox et Waterfox, la barre d'état est réduite à une zone où s'affiche le lien actif s'il existe. C'est cette zone que lisent les commandes NVDA+Fin ou Ctrl+Maj+L.
* Avant d'installer cette extension, assurez-vous que les extensions d'origine ne sont pas installées.
* Avec certains sites, l'affichage des liens dans la barre d'état n'est pas toujours mis à jour si on se déplace de lien en lien par la commande rapide K. Utilisez dans ce cas la touche Tab.
* Vous trouverez une série de pages sur l'utilisation de Firefox avec NVDA et cette extension, un lien de téléchargement de l'extension, à partir de cette page :
[http://angouleme.avh.asso.fr/fichesinfo/fiches_nvda/firefox/index.htm](http://angouleme.avh.asso.fr/fichesinfo/fiches_nvda/firefox/index.htm)